﻿local L = AceLibrary("AceLocale-2.2"):new("Elephant")

L:RegisterTranslations("frFR", function() return {
	--[[ Common messages ]]
	['chatlog']			= "Enreg. le chat",
	['combatlog']		= "Enreg. le journal de combat",
	['disabled']		= "Désactivé",
	['enabled']			= "Activé",
	['enableddefault']	= "Logger nouv. chats",
	['reset']			= "Reset",
	['toggle']			= "Afficher/Cacher Elephant",
	
	--[[ Options menu elements ]]
	['clearallhelp']		= "Vider tous les logs",
	['Filters']				= FILTERS,
	['filterusage']			= "Nom exact du canal. Vous pouvez aussi utiliser des jokers (*). Ex: <AceComm*>",
	['filtererror']			= "Filtre erroné: '%s'. Les filtres ne peuvent contenir que des lettres et des jokers (*).",
	['filterregex']			= "^[%a%*]+$",
	['logs']				= "Logs",
	['maxcombatlogwords']	= "Max combat log",
	['maxlogwords']			= "Max log",
	['resethelp']			= "Réinitialiser tous les paramêtres et chats",
	['resetloc']			= "Réinitialiser la position de la fenêtre de Elephant",
	['showbutton']			= "Afficher boutton",
	
	--[[ Main/Copy frame elements ]]
	-- Main
	['catchers']	= {
		[1]	= "Messages à enregistrer",
		[2]	= "Que faut-il sauver dans ce log?",
		[3]	= "Les types de messages en gris ne",
		[4]	= "peuvent être désactivés."
	},
	['clearall']	= "Tout vider",
	['copy']		= "Copier",
	['Disable']		= DISABLE,
	['Empty']		= EMPTY,
	['Enable']		= ENABLE,
	['maxlog']		= "Log max: %s lignes.",
	['nblines']		= "Lignes: %s",
	['scroll']	= {
		['bottom']		= {
			[1]	= "Atteindre le bas",
		},
		['linedown']	= {
			[1]	= "Descendre d'une ligne",
		},
		['lineup']		= {
			[1]	= "Monter d'une ligne",
		},
		['pagedown']	= {
			[1]	= "Descendre d'une page",
		},
		['pageup']		= {
			[1]	= "Monter d'une page",
		},
		['top']			= {
			[1]	= "Atteindre le haut",
		},
	},
	
	-- Copy
	['copywindow']	= "Fenêtre de copie",
	
	--[[ Special log messages ]]
	['logstartedon']	= "Log commencé le %s à %s.",
	['logstopped']		= "Log arrêté.",
	['monstersay']		= "%s says",
	['monsteryell']		= "%s crie",
	['whisperfrom']		= "%s chuchote",
	['whisperto']		= "A %s",
	
	--[[ Addon messages ]]
	['chatlogdisabled']		= "Cette fonction est désactivée",
	['clearallconfirm']		= "Tous les logs ont été vidé",
	['combatlogdisabled']	= "Cette fonction est désactivée",
	['deleteconfirm']		= "Chat supprimé: %s",
	['emptyconfirm']		= "Chat vidé: %s",
	['lootmethod']			= {
		['freeforall']		= ERR_SET_LOOT_FREEFORALL,
		['group']			= ERR_SET_LOOT_GROUP,
		['master']			= ERR_SET_LOOT_MASTER,
		['needbeforegreed']	= ERR_SET_LOOT_NBG,
		['roundrobin']		= ERR_SET_LOOT_ROUNDROBIN,
	},
	['masterlooterchanged']	=  ERR_NEW_LOOT_MASTER_S,
	['resetconfirm']		= "Paramètres et chats réinitialisés",
	
	--[[ Tooltips ]]
	['chatlogtooltip']			= {
		[1]	= "Enregistrer le chat dans un fichier",
		[2]	= "Enregistre le chat (pas le journal de combat)",
		[3]	= "dans le fichier Logs\\WoWChatLog.txt",
	},
	['combatlogtooltip']		= {
		[1]	= "Enregistrer le journal de combat dans un fichier",
		[2]	= "Enregistre le journal de combat",
		[3]	= "dans le fichier Logs\\WoWCombatLog.txt",
	},
	['enableddefaulttooltip']	= {
		[1]	= "Logger les nouveaux chats",
		[2]	= "Active automatiquement le log",
		[3]	= "quand vous rejoignez un canal.",
	},
	['togglebuttontooltip']		= {
		[1]	= "Clic gauche pour afficher/cacher Elephant",
		[2]	= "Clic central pour réinit. le bouton.",
		[3]	= "Clic droit pour bouger le bouton.",
	},
	['toggletooltip']			= "Clic gauche pour afficher/cacher Elephant.",
	
	--[[ Popup windows ]]
	['clearallpopup']	= {
		[1]	= "Ceci va vider tous les logs.",
		[2]	= "Ok",
		[3]	= "Annuler",
	},
	['emptypopup']		= {
		[1]	= "Ceci videra le log en cours.",
		[2]	= "Ok",
		[3]	= "Annuler",
	},
	['resetpopup']		= {
		[1]	= "Ceci réinitialisera tous les paramêtres et chats.",
		[2]	= "Ok",
		[3]	= "Annuler",
	},
	
	--[[ Default chat names to be displayed ]]
	['chatnames']	= {
		['combat']	= "Combat",
		['custom']	= "Chats personnalisés",
		['general']	= "Chats généraux",
		['guild']	= CHAT_MSG_GUILD,
		['loot']	= CHAT_MSG_LOOT,
		['misc']	= "Divers",
		['officer']	= CHAT_MSG_OFFICER,
		['party']	= CHAT_MSG_PARTY,
		['raid']	= CHAT_MSG_RAID,
		['say']		= CHAT_MSG_SAY,
		['system']	= SYSTEM_MESSAGES,
		['whisper']	= WHISPER,
		['yell']	= YELL_MESSAGE,
	},
	
	--[[ General chats (= that you cannot leave) names and strings that identify them ]]
	['generalchats']	= {
		['commerce']	= {
			['name']	= "Commerce",
			['string']	= "commerce",
		},
		['défenselocale']		= {
			['name']	= "DéfenseLocale",
			['string']	= "défenselocale",
		},
		['défenseuniverselle']	= {
			['name']	= "DéfenseUniverselle",
			['string']	= "défenseuniverselle",
		},
		['général']				= {
			['name']	= "Général",
			['string']	= "général",
		},
		['recrutementdeguilde']	= {
			['name']	= "RecrutementDeGuilde",
			['string']	= "recrutementdeguilde",
		},
	},
	
	--[[ Custom chats special log messages ]]
	['customchat']	= {
		['join']	= "Vous rejoignez un canal.",
		['leave']	= "Vous quittez un canal.",
	},
} end)